package com.bonus.material.devchange.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.devchange.domain.*;
import com.bonus.material.device.domain.vo.DevMergeVo;

import java.util.List;

public interface MaDevInfoService {

    List<MaDevInfo> list(MaDevInfo o);

    Integer updateDeviceStatus(DevMergeVo o);

    Integer delDevice(String[] ids);

    DeviceTreeBean deviceTree(String id);

    DeviceCountBean deviceCount(MaDevInfo o);

    List<MapBean> deviceLocationSel(String id);

    List<MapBean> companySel(String id);

    Integer updateDeviceApi(MaDevInfo o);

    MaDevInfo getDevice(Integer maId);

    AjaxResult getDeviceByMaIds(String maIds);

    List<MaDevInfoXlsx> export(MaDevInfo o);
}
